How to make Samsung Tools working on Ubuntu 11.10 alpha 2

Discussions about Linux installation and configuration on Samsung laptops
fanys12
Newbie
Newbie
Posts: 9
Joined: 07/07/2011, 20:55

How to make Samsung Tools working on Ubuntu 11.10 alpha 2

Postby fanys12 » 07/07/2011, 21:11

Hi everybody;
if you are interested in Ubuntu alpha versions (same as me :D ), here i provide a guide to make it working. It is a bit difficult than earlier alpha versions of Ubuntu 11.04 because, there are missing libraries(gnome panel).

Warning!!!
This guide is for 64 bit architecture only!!! If you are runing 32 bit (x86), you must use x86 packages of python-gnomeapplet, download links are here , you have to replace wget in step 5!!!

1. Do a upgrade from Ubuntu 11.04 to Ubuntu 11.10 alpha 2

Code: Select all

sudo su

Code: Select all

do-release-upgrade -d

2. When you finish (incl. reboot), you'll find there aren't samsung tools and samsung backlight installed. Don't worry!!!
3. Through software center navigate to software sources and allow voria ppa repositories(AND CHANGE Oneiric to Natty).
4. Wait for sources update
5. Launch terminal and type:

Code: Select all

sudo su

Code: Select all

apt-get update

Code: Select all

wget http://ftp.cz.debian.org/debian/pool/main/g/gnome-python-desktop/python-gnomeapplet_2.32.0-1_amd64.deb

Code: Select all

dpkg -i python-gnomeapplet_2.32.0-1_amd64.deb

Code: Select all

apt-get install samsung-tools samsung-backlight

Code: Select all

reboot

6. Now check if it works and enjoy!!!

Note: Sorry for my bad english.
Note2: If wget in step 5 doesn't works, try replacing url to http://ftp.de.debian.org/debian/pool/main/g/gnome-python-desktop/python-gnomeapplet_2.32.0-1_amd64.deb or somethink from http://packages.debian.org/en/sid/amd64/python-gnomeapplet/download.

Tested on:
Samsung N210 (czech modificated)
Ubuntu 11.10 alpha 2 upgraded from 11.04 on 64 architecture

fanys12
Newbie
Newbie
Posts: 9
Joined: 07/07/2011, 20:55

Re: How to make Samsung Tools working on Ubuntu 11.10 alpha

Postby fanys12 » 08/07/2011, 12:43

In my post, i found one error. x86 (32 bit) packages of python-gnomeapplet are here http://packages.debian.org/en/sid/i386/python-gnomeapplet/download


Return to “Linux On My Samsung”

Who is online

Users browsing this forum: Baidu [Spider], Bing [Bot] and 2 guests